package com.koobietech.eas.config;

import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.info.Info;
import io.swagger.v3.oas.models.info.License;
import org.springdoc.core.GroupedOpenApi;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class SwaggerConfiguration {
    @Bean
    public GroupedOpenApi baseRestApi() {
        return GroupedOpenApi.builder()
                .group("爱扣钉教务系统接口文档")
                .packagesToScan("com.koobietech.eas").build();
    }


    @Bean
    public OpenAPI springShopOpenApi() {
        return new OpenAPI()
                .info(new Info().title("爱扣钉教务接口文档")
                        .description("爱扣钉教务接口文档，openapi3.0 接口，用于前端对接")
                        .version("v0.0.1")
                        .license(new License().name("使用请遵守APACHE2.0授权协议").url("http://edu.koobietech.com")));
    }
}
